com.aliyun.svideosdk.editor.resource

## Enum AliyunResModuleType

- java.lang.Object
- - java.lang.Enum<AliyunResModuleType>
  - - com.aliyun.svideosdk.editor.resource.AliyunResModuleType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<AliyunResModuleType>

      public enum AliyunResModuleType
      extends java.lang.Enum<AliyunResModuleType>

  the draft resource module type. Added in v3.23.0

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ANIMATION_FILTER` the animation filter module.
    `BUBBLE_FONT` the bubble sticker font module.
    `BUBBLE_STICKER` the bubble sticker module.
    `CAPTION` the caption module.
    `CAPTION_EFFECT` the caption effect module.
    `CAPTION_FONT` the font module.
    `COVER` the project cover module.
    `DUBS_AUDIO` the dubs module.
    `FILTER` the color filter module.
    `GIF_STICKER` the gif sticker module.
    `IMAGE_STICKER` the image sticker module.
    `LUT_FILTER` the lut filter module.
    `MAIN_VIDEO` the main video module.
    `MUSIC_AUDIO` the audio module.
    `MV` the music video module.
    `PAINT` the paint module.
    `ROLLCAPTION_FONT` the roll caption font module.
    `SUBTITLE_FONT` the font module.
    `TAIL_WATERMARK` the tail watermark module.
    `TRANSITION` the transition module.
    `WATERMARK` the watermark module.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static AliyunResModuleType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static AliyunResModuleType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### COVER

          public static final AliyunResModuleType COVER

      the project cover module.

    - #### MAIN_VIDEO

          public static final AliyunResModuleType MAIN_VIDEO

      the main video module.

    - #### MUSIC_AUDIO

          public static final AliyunResModuleType MUSIC_AUDIO

      the audio module.

    - #### DUBS_AUDIO

          public static final AliyunResModuleType DUBS_AUDIO

      the dubs module.

    - #### SUBTITLE_FONT

          public static final AliyunResModuleType SUBTITLE_FONT

      the font module.

    - #### ROLLCAPTION_FONT

          public static final AliyunResModuleType ROLLCAPTION_FONT

      the roll caption font module.

    - #### CAPTION

          public static final AliyunResModuleType CAPTION

      the caption module.

    - #### CAPTION_FONT

          public static final AliyunResModuleType CAPTION_FONT

      the font module.

    - #### CAPTION_EFFECT

          public static final AliyunResModuleType CAPTION_EFFECT

      the caption effect module.

    - #### BUBBLE_STICKER

          public static final AliyunResModuleType BUBBLE_STICKER

      the bubble sticker module.

    - #### BUBBLE_FONT

          public static final AliyunResModuleType BUBBLE_FONT

      the bubble sticker font module.

    - #### GIF_STICKER

          public static final AliyunResModuleType GIF_STICKER

      the gif sticker module.

    - #### IMAGE_STICKER

          public static final AliyunResModuleType IMAGE_STICKER

      the image sticker module.

    - #### MV

          public static final AliyunResModuleType MV

      the music video module.

    - #### FILTER

          public static final AliyunResModuleType FILTER

      the color filter module.

    - #### ANIMATION_FILTER

          public static final AliyunResModuleType ANIMATION_FILTER

      the animation filter module.

    - #### TRANSITION

          public static final AliyunResModuleType TRANSITION

      the transition module.

    - #### PAINT

          public static final AliyunResModuleType PAINT

      the paint module.

    - #### WATERMARK

          public static final AliyunResModuleType WATERMARK

      the watermark module.

    - #### TAIL_WATERMARK

          public static final AliyunResModuleType TAIL_WATERMARK

      the tail watermark module.

    - #### LUT_FILTER

          public static final AliyunResModuleType LUT_FILTER

      the lut filter module.

  - ### Method Detail

    - #### values

          public static AliyunResModuleType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (AliyunResModuleType c : AliyunResModuleType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static AliyunResModuleType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null